Debian Bug report logs - #558022
gparted: Please don't depend on hal; just use it if present

version graph

Package: gparted; Maintainer for gparted is Phillip Susi <psusi@ubuntu.com>; Source for gparted is src:gparted.

Reported by: Josh Triplett <josh@joshtriplett.org>

Date: Wed, 25 Nov 2009 23:33:02 UTC

Severity: normal

Found in version gparted/0.4.8-1

Fixed in version gparted/0.5.0-1

Done: Anibal Monsalve Salazar <anibal@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, josh@joshtriplett.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#558022; Package gparted. (Wed, 25 Nov 2009 23:33:05 GMT) Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Josh Triplett <josh@joshtriplett.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gparted: Please don't depend on hal; just use it if present
Date: Wed, 25 Nov 2009 15:28:43 -0800
Package: gparted
Version: 0.4.8-1
Severity: normal

gparted uses hal-lock to make sure that desktop automounters don't mount
devices while gparted fiddles with them.  However, this should not
require gparted to depend on hal.  gparted should just use hal-lock if
present, and ignore it if not.  If nothing else pulls in hal, then
nothing will check the hal lock status, and thus running hal-lock
doesn't help.

- Josh Triplett

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.31-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages gparted depends on:
ii  hal               0.5.13-6               Hardware Abstraction Layer
ii  libc6             2.10.2-2               GNU C Library: Shared libraries
ii  libgcc1           1:4.4.2-3              GCC support library
ii  libglib2.0-0      2.22.2-2               The GLib library of C routines
ii  libglibmm-2.4-1c2 2.22.1-2               C++ wrapper for the GLib toolkit (
ii  libgtk2.0-0       2.18.3-1               The GTK+ graphical user interface 
ii  libgtkmm-2.4-1c2a 1:2.18.2-1             C++ wrappers for GTK+ 2.4 (shared 
ii  libpangomm-1.4-1  2.26.0-1               C++ Wrapper for pango (shared libr
ii  libparted1.8-12   1.8.8.git.2009.07.19-5 The GNU Parted disk partitioning s
ii  libsigc++-2.0-0c2 2.0.18-2               type-safe Signal Framework for C++
ii  libstdc++6        4.4.2-3                The GNU Standard C++ Library v3

Versions of packages gparted recommends:
ii  gksu                          2.0.2-2+b1 graphical frontend to su

Versions of packages gparted suggests:
pn  dmraid              <none>               (no description available)
ii  dmsetup             2:1.02.39-1          The Linux Kernel Device Mapper use
ii  dosfstools          3.0.6-1              utilities for making and checking 
pn  jfsutils            <none>               (no description available)
ii  kpartx              0.4.8+git0.761c66f-4 create device mappings for partiti
pn  ntfsprogs           <none>               (no description available)
pn  reiser4progs        <none>               (no description available)
pn  reiserfsprogs       <none>               (no description available)
pn  xfsprogs            <none>               (no description available)
ii  yelp                2.28.0+webkit-1      Help browser for GNOME

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#558022; Package gparted. (Thu, 26 Nov 2009 16:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Pitt <mpitt@debian.org>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Thu, 26 Nov 2009 16:06:06 GMT) Full text and rfc822 format available.

Message #8 received at 558022@bugs.debian.org (full text, mbox):

From: Martin Pitt <mpitt@debian.org>
To: Josh Triplett <josh@joshtriplett.org>, 558022@bugs.debian.org
Subject: Re: Bug#558022: gparted: Please don't depend on hal; just use it if present
Date: Thu, 26 Nov 2009 16:54:00 +0100
Josh Triplett [2009-11-25 15:28 -0800]:
> gparted uses hal-lock to make sure that desktop automounters don't mount
> devices while gparted fiddles with them.  However, this should not
> require gparted to depend on hal.  gparted should just use hal-lock if
> present, and ignore it if not.  If nothing else pulls in hal, then
> nothing will check the hal lock status, and thus running hal-lock
> doesn't help.

Big "confirm" here. I checked the code, and it doesn't use hal
anywhere except for the gparted wrapper for hal-lock, and that does
check if hal-lock is available. So please just drop the dependency.

Thanks,

Martin
-- 
Martin Pitt                        | http://www.piware.de
Ubuntu Developer (www.ubuntu.com)  | Debian Developer  (www.debian.org)




Reply sent to Anibal Monsalve Salazar <anibal@debian.org>:
You have taken responsibility. (Tue, 15 Dec 2009 21:42:22 GMT) Full text and rfc822 format available.

Notification sent to Josh Triplett <josh@joshtriplett.org>:
Bug acknowledged by developer. (Tue, 15 Dec 2009 21:42:23 GMT) Full text and rfc822 format available.

Message #13 received at 558022-close@bugs.debian.org (full text, mbox):

From: Anibal Monsalve Salazar <anibal@debian.org>
To: 558022-close@bugs.debian.org
Subject: Bug#558022: fixed in gparted 0.5.0-1
Date: Tue, 15 Dec 2009 21:38:52 +0000
Source: gparted
Source-Version: 0.5.0-1

We believe that the bug you reported is fixed in the latest version of
gparted, which is due to be installed in the Debian FTP archive:

gparted_0.5.0-1.debian.tar.bz2
  to main/g/gparted/gparted_0.5.0-1.debian.tar.bz2
gparted_0.5.0-1.dsc
  to main/g/gparted/gparted_0.5.0-1.dsc
gparted_0.5.0-1_amd64.deb
  to main/g/gparted/gparted_0.5.0-1_amd64.deb
gparted_0.5.0.orig.tar.bz2
  to main/g/gparted/gparted_0.5.0.orig.tar.bz2



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 558022@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Anibal Monsalve Salazar <anibal@debian.org> (supplier of updated gparted package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 15 Dec 2009 12:06:03 +1100
Source: gparted
Binary: gparted
Architecture: source amd64
Version: 0.5.0-1
Distribution: unstable
Urgency: low
Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Changed-By: Anibal Monsalve Salazar <anibal@debian.org>
Description: 
 gparted    - GNOME partition editor
Closes: 482705 558022
Changes: 
 gparted (0.5.0-1) unstable; urgency=low
 .
   * New upstream release
   * Don't depend on hal
     Closes: 558022
   * Debian source format is 3.0 (quilt)
     Closes: 482705
Checksums-Sha1: 
 ae18aa660300dfa9da1edb439acc6608162b3d4a 1242 gparted_0.5.0-1.dsc
 9181cc26a8242de32395c9bea3e136eed06874f2 1235548 gparted_0.5.0.orig.tar.bz2
 4e9776cf0bb31173520cb7b69612cc9a8f58e6ac 10421 gparted_0.5.0-1.debian.tar.bz2
 df488104db7666cb173a7386b3e77b7022da119a 1302600 gparted_0.5.0-1_amd64.deb
Checksums-Sha256: 
 40d5e30d347f428510d039c6c2176f188e267480e0a23e220000eaa80dd3cc34 1242 gparted_0.5.0-1.dsc
 c70a9dbb07fe959a9749377cdb95d99bed77c278bce7e716019b7e8a5d38b49e 1235548 gparted_0.5.0.orig.tar.bz2
 88b0a270e5614c410114fc930c447c70bab22f277adea3856080c5bd9f47ad11 10421 gparted_0.5.0-1.debian.tar.bz2
 e7758759dd997d7b40e3455b2af36247f3045794a00a6b7f373edc493091ef16 1302600 gparted_0.5.0-1_amd64.deb
Files: 
 af46846106301ea0679c7e3ece26bf0a 1242 gnome optional gparted_0.5.0-1.dsc
 9bb9c24b8197d48a74c247071b6db881 1235548 gnome optional gparted_0.5.0.orig.tar.bz2
 2c790e7570109e936a140d4c4aaaa998 10421 gnome optional gparted_0.5.0-1.debian.tar.bz2
 15d11d17612578aedea5516029e4bb46 1302600 gnome optional gparted_0.5.0-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAksn+ywACgkQgY5NIXPNpFVzXACfURvwWw4O3CefI0Ctoo6l6/+r
JGgAnRhq1cG8UfKfmTrilXUMW+d6uVJd
=iQcQ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 13 Jan 2010 07:28:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 17:58:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.